Bug 533979 (ipa-fixes) - TRACKING bug for fixes IPA team will provide in one chunk for Dogtag
Summary: TRACKING bug for fixes IPA team will provide in one chunk for Dogtag
Status: MODIFIED
Alias: ipa-fixes
Product: Dogtag Certificate System
Classification: Retired
Component: Certificate Manager
Version: 1.3
Hardware: All
OS: Linux
urgent
medium
Target Milestone: ---
Assignee: Christina Fu
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On: 531940 531953 532092 533054 533287
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-09 22:58 UTC by Dmitri Pal
Modified: 2015-01-05 00:16 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)
large patch which the other individual patches were broken out from (7.06 KB, patch)
2009-11-12 16:49 UTC, John Dennis
no flags Details | Diff
code committed for John Dennis (7.05 KB, patch)
2009-11-25 23:29 UTC, Andrew Wnuk
no flags Details | Diff

Description Dmitri Pal 2009-11-09 22:58:54 UTC
Bugs that IPA team will fix:

533287
533054
533052
532092
531953
531940
531934

Comment 1 John Dennis 2009-11-12 16:49:50 UTC
Created attachment 369259 [details]
large patch which the other individual patches were broken out from

Comment 2 John Dennis 2009-11-12 16:59:20 UTC
I have provided patches for the following:

531937
531940
531953
532092
533052
533054
533287

Each of these bugs an individual patch attached to them as per the CS teams request. This will allow only the relevant change to be considered when reviewing the bug solution.

This leaves only 531934. We can make progress without 531934, but the others are blocking us. I'll provide a patch for 531934 later.

Comment 3 John Dennis 2009-11-12 17:03:19 UTC
The large patch in comment #1 is provided for only for sanity checking. The individual patches attached to the individual bug reports were broken out from the large patch. After applying all the individual patches the result should match the large patch. I provided the large patch as insurance I didn't make any mistakes when breaking out the smaller patches.

Comment 4 Andrew Wnuk 2009-11-18 00:48:10 UTC
bug #531937 - nothing to review, fix will be provided in bug #533376
bug #531940 - reviewed
bug #531953 - reviewed
bug #532092 - nothing to review, fix provided in bug #531953
bug #533052 - reviewed

Comment 5 Andrew Wnuk 2009-11-18 19:03:52 UTC
bug #533054 - reviewed
bug #533287 - nothing to review, fix provided in bug #531953

Comment 6 Andrew Wnuk 2009-11-18 19:06:31 UTC
Combined patches provided in bugs 531940, 533054, 533052, and 533054 are identical with the big patch attached to bug 533979.

Comment 7 Andrew Wnuk 2009-11-25 23:29:59 UTC
Created attachment 373874 [details]
code committed for John Dennis

This is John Dennis patch. It does not break CS build. Unit testing is responsibility of John Dennis.

Comment 8 Andrew Wnuk 2009-11-25 23:38:00 UTC
svn commit pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
Sending        pki/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
Transmitting file data .
Committed revision 858.

svn commit pki/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java
Sending        pki/base/common/src/com/netscape/cms/servlet/common/GenUnexpectedErrorTemplateFiller.java
Transmitting file data .
Committed revision 859.

svn commit pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
Sending        pki/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
Transmitting file data .
Committed revision 860.


Note You need to log in before you can comment on or make changes to this bug.